<?php

    require_once("{$sitepath}autentificare.php");
    require_once("{$sitepath}pagecomponents.php");

    check_auth();
    
    function show_upload_form($id_fisier_vechi, $id_fisier_referinta, $id_utilizator)
    {
        global $siteroot, $imagesroot, $pagina;
$msg_tag = "";
        $tag = "";
        $caption = "";
        $result = "";
        if ($id_fisier_referinta)
        {
            $tag = 'fisr'.$id_fisier_referinta;
            $caption = 'Încarcă un fișier de răspuns: ';
        }
        elseif ($id_fisier_vechi)
        {
            $tag = 'fis'.$id_fisier_vechi;
            $caption = 'Înlocuiește fișierul existent cu: ';
        }
        elseif ($id_utilizator)
        {
            $tag = 'user'.$id_utilizator;
            $caption = 'Trimite un fișier medicului: ';
        }
        $result = "<tr id='tr{$tag}upload' style='display: none'>";
        $result .= "<td colspan='7'>";
        //if ($msg_tag == $tag) $result .= "<p class='eroare'>$msg_text</p>";
        $result .= "<div id='{$tag}upload' class='upload'>";
        $result .= "<form action='{$siteroot}scripts/incarcaFisierValidator.php' method='POST' enctype='multipart/form-data' target='upload_target' onsubmit='incarcaFisierValidator($id_fisier_vechi, $id_fisier_referinta, $id_utilizator);'>";
        $result .= "<p id='{$tag}upload_progress' style='display: none'>";
        $result .= "Se încarcă fişierul...<br/><img src='{$imagesroot}loader.gif' /><br />";
        //$result .= "<input type='button' onclick='anuleazaIncarcareFisier()' value='Anulează' />";
        $result .= "</p>";
        $result .= "<p id='{$tag}upload_form'>";
        $result .= $caption;
        $result .= "<input type='file' name='{$tag}fisier' id='{$tag}fisier' onclick='clearTimeout(timerValidator);'/>";
        $result .= "<input type='hidden' name='id_utilizator' value='$id_utilizator' />";
        $result .= "<input type='hidden' name='id_fisier_vechi' value='$id_fisier_vechi' />";
        $result .= "<input type='hidden' name='id_fisier_referinta' value='$id_fisier_referinta' />";
        $result .= "<input type='hidden' name='pagina' value='trimitere_fisiere' />";
        if (substr($tag, 0, 4) == 'user')
        {
            $result .= "<br>Categoria: <select name='id_categorie'>";
            $qCategorii = mysql_query("SELECT * FROM categorii_fisiere ORDER BY nr_crt");
            while ($rCategorii = mysql_fetch_assoc($qCategorii))
            {
                $result .= "<option value='{$rCategorii['id_categorie']}'>{$rCategorii['categorie']}</option>";
            }
            $result .= "</select><br>";
        }
        else
        {
            $result .= "<input type='hidden' name='id_categorie' value='0' />";
        }
        $result .= "<input type='submit' name='submit' value='Încarcă' onclick='clearTimeout(timerValidator);'/>";
        $result .= "</p>";
        $result .= "</form>";
        $result .= "</div>";              
        $result .= "</td></tr>";
        return $result;
    }
      
    if (!isset($run_from_service))
    {
        $msg_id_aplicatie = getuserdata('msg_id_aplicatie', 0);
        $msg_text = getuserdata('msg_text', '');
        $text_cautat = getuserdata('text_cautat');
    }
    
    $date = getuserdata('date');
    if ($date) $date = get_mysql_date($date);
          else $date = time();

    $errorMessage = "";
      
    echo "\n<h1>Trimitere fișiere către medici</h1>";
        echo "\n<div class='aplicatie'>";
        echo "\n    <iframe id='upload_target' name='upload_target' src='#' style='width:0;height:0;border:0px solid #fff;'></iframe>";
        echo "\n    <div class='titlu'>Fișiere trimise</div>";
        echo "\n    <table class='raportare'>";
        echo "\n        <thead>";
        echo "\n            <tr><th style='width: 60px'>Medic</th><th>Fișier</th>".
                               "<th>Categorie</th>".
                               "<th>Încărcat de</th>".
                               "<th style='width: 105px'>La data</th><th style='width: 140px'>&nbsp</th></tr>";
        echo "\n        </thead>";
        echo "\n        <tbody>";        
        
        // Preiau medicii care au depus fisiere de raportare
        $sqlFisiere = "SELECT DISTINCT
                           f.*, u.id_utilizator AS id_raportor, u.nume AS raportor,
                           u2.id_utilizator AS id_validator, u2.nume AS validator,
                           c.categorie
                       FROM utilizatori u
                           JOIN utilizatorixgrupuri ug ON ug.id_utilizator = u.id_utilizator AND ug.activ = 1
                           JOIN grupuri g ON g.id_grup = ug.id_grup AND g.activ = 1
                           LEFT JOIN fisiere f ON f.id_utilizator_destinatie = u.id_utilizator
                               AND f.id_aplicatie IS NULL
                           LEFT JOIN utilizatori u2 ON u2.id_utilizator = f.id_utilizator_sursa
                           LEFT JOIN categorii_fisiere c ON c.id_categorie = f.id_categorie
                       WHERE u.nume LIKE '%$text_cautat%' AND u.activ = 1
                           AND g.drepturi = 1
                       ORDER BY u.nume, f.data_incarcare DESC";
        $qFisiere = mysql_query($sqlFisiere);
        $textMedic = "";
        $textFisiere = "";
        $id_medic_vechi = 0;
        $data_programare = "";
        $nr_fisiere = 0;
        while ($rFisiere = mysql_fetch_assoc($qFisiere))
        {
            if ($rFisiere['id_raportor'] != $id_medic_vechi)
            {
                $textMedic = "\n            <tr><td class='topborder' colspan='2' style='color: blue; font-weight: bold'>".$textMedic."</td>";
                $textMedic .= "<td class='topborder' colspan='2' style='padding-bottom: 5px'>";
                $textMedic .= "<td class='topborder' colspan='3'>";
                $textMedic .= "<div><img src='{$imagesroot}file_send.png'>&nbsp;".
                              "<a href='#peloc' title='Trimite fișier...' onclick=\"clearTimeout(timerValidator); document.getElementById('truser{$id_medic_vechi}upload').style.display = 'table-row';\">".
                              "Trimite fișier...</a></td></tr>";
                $textMedic .= show_upload_form(0, 0, $id_medic_vechi);
                if ($id_medic_vechi) echo $textMedic.$textFisiere;
                $textMedic = $rFisiere['raportor'];
                $textFisiere = "";
                $id_medic_vechi = $rFisiere['id_raportor'];
            }
            $textFisiere .= "<tr><td class='topmargin'>&nbsp;</td>";
            $textFisiere .= "<td class='topmargin fisiere'";
            $textFisiere .= "<div>";
            if ((int)$rFisiere['stare'] == 1) $textFisiere .= '<b>';
            $textFisiere .= "<a href='{$siteroot}scripts/service.php?func=getFisier&id={$rFisiere['id_fisier']}' target='upload_target'>";
            $textFisiere .= "{$rFisiere['nume_original']}</a>";
            if ((int)$rFisiere['stare'] > 1) $textFisiere .= '</b>';
            $textFisiere .= "</div></td>";
            $textFisiere .= "<td class='topmargin'>{$rFisiere['categorie']}</td>";
            $textFisiere .= "<td class='topmargin'>{$rFisiere['validator']}</td>";
            $textFisiere .= "<td class='topmargin'>";
                $textFisiere .= get_formatted_mysql_datetime($rFisiere['data_incarcare'], false);
                $textFisiere .= "</td>";
                $textFisiere .= "<td class='topmargin'>&nbsp;&nbsp;&nbsp;";
                if ((int)$rFisiere['stare'] == 1)
                {
                    $textFisiere .= "<a href='#peloc' title='Înlocuieşte fişierul...' onclick=\"clearTimeout(timerValidator); document.getElementById('trfis{$rFisiere['id_fisier']}upload').style.display = 'table-row';\">".
                                    "<img src='{$imagesroot}file_replace.png'></a>&nbsp;&nbsp;&nbsp;";
                    $textFisiere .= "<a href='#peloc' title='Şterge fişierul' onclick='clearTimeout(timerValidator); stergeFisierValidare({$rFisiere['id_fisier']})'>".
                                    "<img src='{$imagesroot}file_delete.png'></a>";
                }
                $textFisiere .= "</td></tr>";
                $textFisiere .= show_upload_form($rFisiere['id_fisier'], 0, 0);
            
        }
        $textMedic = "\n            <tr><td class='topborder' colspan='2' style='color: blue; font-weight: bold'>".$textMedic."</td>";
        $textMedic .= "<td class='topborder' colspan='2' style='padding-bottom: 5px'>";
        $textMedic .= "<td class='topborder' colspan='3'>";
        $textMedic .= "<div><img src='{$imagesroot}file_send.png'>&nbsp;".
                      "<a href='#peloc' title='Trimite fișier...' onclick=\"clearTimeout(timerValidator); document.getElementById('truser{$id_medic_vechi}upload').style.display = 'table-row';\">".
                      "Trimite fișier...</a></td></tr>";
        $textMedic .= show_upload_form(0, 0, $id_medic_vechi);
        if ($id_medic_vechi) echo $textMedic.$textFisiere;
        echo "\n        </thead>";
        echo "\n    </table>";
        echo "\n</div>";
   
?>